You are not logged in.

#1 2014-05-28 15:20:55

Imaulle
Member
Registered: 2013-06-20
Posts: 40

transmission-qt fails to start

Hello! I ran pacman -Syyu this morning and the following was updated

[2014-05-28 06:00] [PACMAN] upgraded cogl (1.18.0-1 -> 1.18.0-2)
[2014-05-28 06:00] [PACMAN] upgraded curl (7.36.0-1 -> 7.37.0-1)
[2014-05-28 06:00] [PACMAN] upgraded gcc-libs (4.9.0-2 -> 4.9.0-3)
[2014-05-28 06:00] [PACMAN] upgraded gcc (4.9.0-2 -> 4.9.0-3)
[2014-05-28 06:00] [PACMAN] upgraded libgtop (2.28.5-1 -> 2.30.0-1)
[2014-05-28 06:00] [PACMAN] upgraded gnome-control-center (3.12.1-2 -> 3.12.1-3)
[2014-05-28 06:00] [PACMAN] upgraded gnome-system-monitor (3.12.1-1 -> 3.12.2-1)
[2014-05-28 06:00] [PACMAN] upgraded json-c (0.11-1 -> 0.12-2)
[2014-05-28 06:00] [PACMAN] upgraded lib32-gcc-libs (4.9.0-2 -> 4.9.0-3)
[2014-05-28 06:00] [PACMAN] upgraded mpfr (3.1.2.p5-1 -> 3.1.2.p8-1)
[2014-05-28 06:00] [PACMAN] upgraded poppler (0.26.0-1 -> 0.26.1-1)
[2014-05-28 06:00] [PACMAN] upgraded poppler-glib (0.26.0-1 -> 0.26.1-1)
[2014-05-28 06:00] [PACMAN] upgraded pygobject-devel (3.12.1-1 -> 3.12.2-1)
[2014-05-28 06:00] [PACMAN] upgraded python-gobject (3.12.1-1 -> 3.12.2-1)
[2014-05-28 06:00] [PACMAN] upgraded python2-gobject (3.12.1-1 -> 3.12.2-1)
[2014-05-28 06:00] [PACMAN] upgraded qtchooser (39-1 -> 41-1)
[2014-05-28 06:00] [PACMAN] upgraded qt5-base (5.2.1-4 -> 5.3.0-3)
[2014-05-28 06:00] [PACMAN] upgraded totem (3.12.1-1 -> 3.12.1-2)
[2014-05-28 06:00] [PACMAN] upgraded transmission-qt (2.82-1 -> 2.83-2)

and now when I try to launch transmission I get the following

[morgan@viral ~]$ transmission-qt 
QDBusConnection: session D-Bus connection created before QCoreApplication. Application may misbehave.
This application failed to start because it could not find or load the Qt platform plugin "xcb".

Available platform plugins are: eglfs, kms, linuxfb, minimal, minimalegl, offscreen, xcb.

Reinstalling the application may fix this problem.
Aborted (core dumped)

I tried removing and reinstalling and that did not fix it. thanks for any help/input!

Offline

#2 2014-05-28 15:32:06

arojas
Developer
From: Spain
Registered: 2011-10-09
Posts: 1,703

Re: transmission-qt fails to start

It's missing a libxkbcommon-x11 dependency, please report it to bugs.archlinux.org

Offline

#3 2014-05-28 15:43:49

Imaulle
Member
Registered: 2013-06-20
Posts: 40

Re: transmission-qt fails to start

done. thanks!

Offline

#4 2014-05-28 17:12:31

persio
Member
Registered: 2014-04-29
Posts: 15

Re: transmission-qt fails to start

Transmission was working without problems until today I updated it with pacman -Syu. Now, when I try to run it, I get this:

$ transmission-qt 
QDBusConnection: session D-Bus connection created before QCoreApplication. Application may misbehave.
This application failed to start because it could not find or load the Qt platform plugin "xcb".

Available platform plugins are: eglfs, kms, linuxfb, minimal, minimalegl, offscreen, xcb.

Reinstalling the application may fix this problem.

I've reinstalled it but I still get the same.

And this is what I have installed:

$ pacman -Qs xcb
local/cairo-infinality-ultimate 1.12.16-5 (infinality-bundle)
    Cairo vector graphics library with respect-fontconfig and Ubuntu patches (infinality-bundle)
local/lib32-libxcb 1.10-2
    X11 client-side library (32-bit)
local/libxcb 1.10-2
    X11 client-side library
local/xcb-proto 1.10-2
    XML-XCB protocol descriptions
local/xcb-util 0.3.9-1
    Utility libraries for XC Binding
local/xcb-util-image 0.3.9-1
    Utility libraries for XC Binding - Port of Xlib's XImage and XShmImage functions
local/xcb-util-keysyms 0.3.9-1
    Utility libraries for XC Binding - Standard X key constants and conversion to/from keycodes
local/xcb-util-wm 0.4.1-1
    Utility libraries for XC Binding - client and window-manager helpers for ICCCM

Any ideas?

Offline

#5 2014-05-28 17:49:08

ooo
Member
Registered: 2013-04-10
Posts: 1,607

Re: transmission-qt fails to start

Have you installed libsm? Qt5-base has it as optional dependency for xcb plugin.

If that solves your issue, you should open a bug for transmission-qt to add libsm to its dependencies.

Offline

#6 2014-05-28 17:49:32

karol
Archivist
Registered: 2009-05-06
Posts: 25,440

Re: transmission-qt fails to start

Install libxkbcommon-x11. See https://bugs.archlinux.org/task/40586

 pacman -S transmission-qt

<snip>

Optional dependencies for qt5-base
    postgresql-libs: PostgreSQL driver
    libmariadbclient: MariaDB driver
    unixodbc: ODBC driver
    libfbclient: Firebird/iBase driver
    mtdev: evdev plugin [installed]
    libxkbcommon-x11: xcb plugin
    libsm: xcb plugin [installed]
    gtk2: GTK2 plugin [installed]
(6/6) installing transmission-qt                                                                [########################################################] 100%
Optional dependencies for transmission-qt
    transmission-cli: daemon and web support

'libxkbcommon-x11' is now an optional dependency for qt5-base https://projects.archlinux.org/svntogit … 2cfe1f57fd

Offline

#7 2014-05-28 18:00:49

jasonwryan
Anarchist
From: .nz
Registered: 2009-05-09
Posts: 29,025
Website

Re: transmission-qt fails to start

Please search before posting: thead here https://bbs.archlinux.org/viewtopic.php?id=182115


Merging...


Arch + dwm   •   Mercurial repos  •   Surfraw

Registered Linux User #482438

Offline

#8 2014-05-29 11:19:43

caseyjp1
Member
From: Denver
Registered: 2009-12-22
Posts: 34
Website

Re: transmission-qt fails to start

Please be aware that it isn't JUST transmission that is crashing..  Smplayer also crashes without  libxkbcommon-x11, as well as several other applications with bug reports popping up here and there.

Installing libxkbcommon-x11 resolved the issue on my system. (for both transmission and smplayer.)

Offline

Board footer

Powered by FluxBB